# Uses of Class
org.apache.solr.client.solrj.response.AnalysisResponseBase.TokenInfo

Packages that use AnalysisResponseBase.TokenInfo
Package
Description
org.apache.solr.client.solrj.response
Convenience classes for dealing with various types of Solr responses.

## Uses of AnalysisResponseBase.TokenInfo in org.apache.solr.client.solrj.response

Methods in org.apache.solr.client.solrj.response that return AnalysisResponseBase.TokenInfo
Modifier and Type
Method
Description
`protected AnalysisResponseBase.TokenInfo`
AnalysisResponseBase.`buildTokenInfo(NamedList<?> tokenNL)`
Parses the given named list and builds a token from it.
`protected AnalysisResponseBase.TokenInfo`
AnalysisResponseBase.`buildTokenInfoFromString(String value)`
Convert a string value (from CharacterFilter) into a TokenInfo for its value full span.
Methods in org.apache.solr.client.solrj.response that return types with arguments of type AnalysisResponseBase.TokenInfo
Modifier and Type
Method
Description
`List<AnalysisResponseBase.TokenInfo>`
AnalysisResponseBase.AnalysisPhase.`getTokens()`
Returns a list of tokens which represent the token stream produced in this phase.